clc;clear;
for i = 1:4
    [Ypos(:, i), y(:, i), prob(:, i), severity(:, i), PDRF(:, i)] = angleofImpact((i-1)*30, 0);
end
figure
plot(Ypos(:, 1), PDRF(:, 1), '-r', ...
    Ypos(:, 1), PDRF(:, 2), '-g', ...
    Ypos(:, 1), PDRF(:, 3), '-b', ...
    Ypos(:, 1), PDRF(:, 4), '-k', ...
    'LineWidth', 2)
set(gca, 'fontsize', 15)
xlabel({'Lateral spacing to lane boundary (m)'});
ylabel({'Potential PDRF risk (Joules) '});
xlim([0, 1.5])
txt90 = '\psi = 90^{\circ}';
text(0.1, 350000, txt90, 'fontsize', 12);

txt60 = '\psi = 60^{\circ}';
text(0.1, 260000, txt60, 'fontsize', 12);
txt30 = ' \psi = 30^{\circ}';
text(0.1, 95000, txt30, 'fontsize', 12);
txt0 = ' \psi = 0^{\circ}';
text(0.1, 30000, txt0, 'fontsize', 12);
