% clc;clear;
for i = 1:4
    [Ypos(:, i), y(:, i), prob(:, i), severity(:, i), PDRF(:, i)] = roadSensitivity(i*0.25, 0);
end
for i = 5:6
    [Ypos(:, i), y(:, i), prob(:, i), severity(:, i), PDRF(:, i)] = roadSensitivity(1, (i - 4)*0.3);
end
figure
plot(Ypos(:, 1), PDRF(:, 1), ':k', Ypos(:, 1), PDRF(:, 2), '-.k', Ypos(:, 1), PDRF(:, 3), '--k', Ypos(:, 1), PDRF(:, 4), '-k', Ypos(:, 1), PDRF(:, 5), '-.r', Ypos(:, 1), PDRF(:, 6), ':r', 'LineWidth', 2)
set(gca, 'fontsize', 15)
xlabel({'Lateral spacing to lane boundary (m)'});
ylabel({'Potential PDRF risk (Joules)'});
legend(['k=0.25,offset=0'], ['k=0.5,offset=0'], ['k=0.75,offset=0'], ['k=1,offset=0'], ['k=1,offset=0.3'], ['k=1,offset=0.6'])
