# Usage 
1. Run `MAIN_1b.m` in MATLAB to create Figure.1b
2. Run `MAIN_1c.m` in MATLAB to create Figure.1c

# Description
This script is used to create Figure 2 of the article:

`Mullakkal-Babu, Freddy A., et al. "Probabilistic field approach for motorway driving risk assessment." Transportation research part C: emerging technologies 118 (2020): 102716.`

## MAIN_1b.m
This is the upper-level function that plots the variation of potential PDRF strength due to
the road boundary object as a function of lateral spacing to the lane boundary, with different heading angles;
## angleofImpact.m
This is a helper function that receives the angle of impact as the argument and outputs single step PDRF risk estimates 
## MAIN_1c.m
This is the upper-level function that plots the variation of potential PDRF strength as a function of lateral positions within the lane. The black lines represent potential PDRF strength for different k and red represents the potential PDRF strength for different offsets of the road boundary object.
## roadSensitivity.m
This is a helper function that receives the values of coefficient `k1` and `offset` as the argument and outputs single step PDRF risk estimates

