function [Ypos, y, prob, severity, PDRF] = angleofImpact(theta, off)
W = 4;
k2 = 14;
k1 = 1;

v = 30;
%off=0.4;
for i = 1:20
    Ypos(i, 1) = (i * 0.1) - 0.1;
    y(i, 1) = (i * 0.1) - 0.1 + off;
    prob(i, 1) = exp(-k2*y(i, 1)/W);
    severity(i, 1) = 0.5 * 1000 * ((v * (sin(deg2rad(theta))))^2) * k1;
    PDRF(i, 1) = prob(i, 1) * severity(i, 1);
end
end