# Open-access-code-TRC

This package contains scripts used in the article:

`Mullakkal-Babu, Freddy A., et al. "Probabilistic field approach for motorway driving risk assessment." Transportation research part C: emerging technologies 118 (2020): 102716.`

All the folders contain a `README.md` file with steps to use and detailed description of the folder contents. The generic description of the folder contents are as follows: 
## Figures1-2
+ This folder contains scripts used to create `Figure.1` and `Figure.2`. 
+ Please follow the README file in the folder.

## singleStepPDRF
+ This folder contains scripts for estimate single-step PDRF for a given trajectory pair. Here the trajectory pair is specified in .xls format
+ The scripts were used to create `Figure.5`, `Figure.6` and `Figure.7`
+ Please follow the README file in the folder.

## multiStepPDRF
+ This folder contains scripts for estimate multi-step PDRF
+ The scripts were used to create `Figure.3` and `Figure.12`. 
+ Please follow the README file in the folder.

## SimulationBasedValidationStudy
+ This folder contains scripts for estimate single-step PDRF for a given trajectory pair involved in a cut-in event. 
    These scipts can be used to generate variations of cut-in encounters and study the risk of these encounters as expressed by singleStepPDRF
+ The scripts were used to create `Figure.8` and `Figure.9`.
