# Usage 
## To calculate the multistep PDRF risk
In `MultiStep_PDRF_SeverityEstimation.xls`, sheet: `Risk_Estimation` , enter the crash probability of s with respect to neighbour in the columns O/P; at a given time step (rows) marked in green.

The crash probability can be estimated by the script, `MULTISTEP_PDRF.m`. 
### Remarks 
The sheet: `Output_Data` contains the metrics used to plot `Figure 12` and `Figure 13`. The Notation used in this script are explained in sheet: `Risk_Estimation`
## To create Figure 12 and Figure 13.
Place `MPDRF_VEH.xlsx`, `MPDRF_RISK.xlsx` and `MULTIPDRF_PLOTS.m` in a single folder, and run `MULTIPDRF_PLOTS.m`
### Remarks 
The values in the `MPDRF_RISK.xlsx` and `MPDRF_VEH.xlsx` sheets are copied results from sheet `Output_Data` in `MultiStep_PDRF_SeverityEstimation.xlsx`. 
